GET /self/calls
Summary: List active calls
Operation ID: listCalls
Auth: unknown
Operation ID: listCalls
Auth: unknown
Description
Lists currently active calls
Parameters (8)
direction
(string, query, optional)
Filter by call direction. For multiple criteria, seperate values by a comma.
Constraints: {'enum': ['INBOUND', 'OUTBOUND']}
fromDate
(integer, query, optional)
Return calls that occurred after this point in time
offset
(integer, query, optional)
Page number of calls to return
order
(string, query, optional, default: ASC)
Sort in either ascending or descending order
Constraints: {'enum': ['DESC', 'ASC']}
size
(integer, query, optional, default: 20)
Return this amount of calls in the response
sort
(string, query, optional)
Sort calls by property
states
(string, query, optional, default: ACTIVE)
Filter calls by state. For multiple criteria, seperate values by a comma.
Constraints: {'enum': ['INITIALIZING', 'RINGING', 'ACTIVE', 'HELD', 'REMOTE_HELD']}
toDate
(integer, query, optional)
Return calls that occurred before this point in time
No probe data for this endpoint yet.